# PhasicFlow: particleIdHandler Class Reference

particleIdHandler Class Reference

## Public Member Functions

| particleIdHandler (int32PointField_HD &id)
int32 | getNextId ()
int32 | nextId () const

## Protected Attributes

int32 | nextId_ =0

## Detailed Description

Definition at line 30 of file particleIdHandler.hpp.

## Constructor & Destructor Documentation

## particleIdHandler()

particleIdHandler | ( | int32PointField_HD & | id | ) |

inline

Definition at line 35 of file particleIdHandler.hpp.

References ForAll, particleIdHandler::getNextId(), and particleIdHandler::nextId_.

Here is the call graph for this function:

## Member Function Documentation

## getNextId()

int32 getNextId | ( |  | ) |

inline

Definition at line 68 of file particleIdHandler.hpp.

References particleIdHandler::nextId_.

Referenced by particleIdHandler::particleIdHandler().

Here is the caller graph for this function:

## nextId()

int32 nextId | ( |  | ) | const

inline

Definition at line 73 of file particleIdHandler.hpp.

References particleIdHandler::nextId_.

## Member Data Documentation

## nextId_

int32 nextId_ =0

protected

Definition at line 33 of file particleIdHandler.hpp.

Referenced by particleIdHandler::getNextId(), particleIdHandler::nextId(), and particleIdHandler::particleIdHandler().

The documentation for this class was generated from the following file:

- src/Particles/particles/particleIdHandler.hpp